Package org.kapott.hbci.sepa.jaxb.camt_052_001_07

# Class EntryTransaction9

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_07.EntryTransaction9

public class EntryTransaction9 extends Object

Java class for EntryTransaction9 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="EntryTransaction9">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Refs" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}TransactionReferences3" minOccurs="0"/>
             <element name="Amt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}ActiveOrHistoricCurrencyAndAmount" minOccurs="0"/>
             <element name="CdtDbtInd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}CreditDebitCode" minOccurs="0"/>
             <element name="AmtDtls" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}AmountAndCurrencyExchange3" minOccurs="0"/>
             <element name="Avlbty" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}CashAvailability1" maxOccurs="unbounded" minOccurs="0"/>
             <element name="BkTxCd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}BankTransactionCodeStructure4" minOccurs="0"/>
             <element name="Chrgs" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}Charges4" minOccurs="0"/>
             <element name="Intrst" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}TransactionInterest4" minOccurs="0"/>
             <element name="RltdPties" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}TransactionParties4" minOccurs="0"/>
             <element name="RltdAgts" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}TransactionAgents4" minOccurs="0"/>
             <element name="LclInstrm" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}LocalInstrument2Choice" minOccurs="0"/>
             <element name="Purp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}Purpose2Choice" minOccurs="0"/>
             <element name="RltdRmtInf" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}RemittanceLocation4" maxOccurs="10" minOccurs="0"/>
             <element name="RmtInf" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}RemittanceInformation15" minOccurs="0"/>
             <element name="RltdDts" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}TransactionDates3" minOccurs="0"/>
             <element name="RltdPric" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}TransactionPrice4Choice" minOccurs="0"/>
             <element name="RltdQties" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}TransactionQuantities2Choice" maxOccurs="unbounded" minOccurs="0"/>
             <element name="FinInstrmId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}SecurityIdentification19" minOccurs="0"/>
             <element name="Tax" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}TaxInformation6" minOccurs="0"/>
             <element name="RtrInf" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}PaymentReturnReason3" minOccurs="0"/>
             <element name="CorpActn" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}CorporateAction9" minOccurs="0"/>
             <element name="SfkpgAcct" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}SecuritiesAccount19" minOccurs="0"/>
             <element name="CshDpst" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}CashDeposit1" maxOccurs="unbounded" minOccurs="0"/>
             <element name="CardTx" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}CardTransaction16" minOccurs="0"/>
             <element name="AddtlTxInf" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}Max500Text" minOccurs="0"/>
             <element name="SplmtryData" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}SupplementaryData1" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`addtlTxInf`
`protected ActiveOrHistoricCurrencyAndAmount`
`amt`
`protected AmountAndCurrencyExchange3`
`amtDtls`
`protected List<CashAvailability1>`
`avlbty`
`protected BankTransactionCodeStructure4`
`bkTxCd`
`protected CardTransaction16`
`cardTx`
`protected CreditDebitCode`
`cdtDbtInd`
`protected Charges4`
`chrgs`
`protected CorporateAction9`
`corpActn`
`protected List<CashDeposit1>`
`cshDpst`
`protected SecurityIdentification19`
`finInstrmId`
`protected TransactionInterest4`
`intrst`
`protected LocalInstrument2Choice`
`lclInstrm`
`protected Purpose2Choice`
`purp`
`protected TransactionReferences3`
`refs`
`protected TransactionAgents4`
`rltdAgts`
`protected TransactionDates3`
`rltdDts`
`protected TransactionPrice4Choice`
`rltdPric`
`protected TransactionParties4`
`rltdPties`
`protected List<TransactionQuantities2Choice>`
`rltdQties`
`protected List<RemittanceLocation4>`
`rltdRmtInf`
`protected RemittanceInformation15`
`rmtInf`
`protected PaymentReturnReason3`
`rtrInf`
`protected SecuritiesAccount19`
`sfkpgAcct`
`protected List<SupplementaryData1>`
`splmtryData`
`protected TaxInformation6`
`tax`

## Constructor Summary

Constructors
Constructor
Description
`EntryTransaction9()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAddtlTxInf()`
Gets the value of the addtlTxInf property.
`ActiveOrHistoricCurrencyAndAmount`
`getAmt()`
Gets the value of the amt property.
`AmountAndCurrencyExchange3`
`getAmtDtls()`
Gets the value of the amtDtls property.
`List<CashAvailability1>`
`getAvlbty()`
Gets the value of the avlbty property.
`BankTransactionCodeStructure4`
`getBkTxCd()`
Gets the value of the bkTxCd property.
`CardTransaction16`
`getCardTx()`
Gets the value of the cardTx property.
`CreditDebitCode`
`getCdtDbtInd()`
Gets the value of the cdtDbtInd property.
`Charges4`
`getChrgs()`
Gets the value of the chrgs property.
`CorporateAction9`
`getCorpActn()`
Gets the value of the corpActn property.
`List<CashDeposit1>`
`getCshDpst()`
Gets the value of the cshDpst property.
`SecurityIdentification19`
`getFinInstrmId()`
Gets the value of the finInstrmId property.
`TransactionInterest4`
`getIntrst()`
Gets the value of the intrst property.
`LocalInstrument2Choice`
`getLclInstrm()`
Gets the value of the lclInstrm property.
`Purpose2Choice`
`getPurp()`
Gets the value of the purp property.
`TransactionReferences3`
`getRefs()`
Gets the value of the refs property.
`TransactionAgents4`
`getRltdAgts()`
Gets the value of the rltdAgts property.
`TransactionDates3`
`getRltdDts()`
Gets the value of the rltdDts property.
`TransactionPrice4Choice`
`getRltdPric()`
Gets the value of the rltdPric property.
`TransactionParties4`
`getRltdPties()`
Gets the value of the rltdPties property.
`List<TransactionQuantities2Choice>`
`getRltdQties()`
Gets the value of the rltdQties property.
`List<RemittanceLocation4>`
`getRltdRmtInf()`
Gets the value of the rltdRmtInf property.
`RemittanceInformation15`
`getRmtInf()`
Gets the value of the rmtInf property.
`PaymentReturnReason3`
`getRtrInf()`
Gets the value of the rtrInf property.
`SecuritiesAccount19`
`getSfkpgAcct()`
Gets the value of the sfkpgAcct property.
`List<SupplementaryData1>`
`getSplmtryData()`
Gets the value of the splmtryData property.
`TaxInformation6`
`getTax()`
Gets the value of the tax property.
`void`
`setAddtlTxInf(String value)`
Sets the value of the addtlTxInf property.
`void`
`setAmt(ActiveOrHistoricCurrencyAndAmount value)`
Sets the value of the amt property.
`void`
`setAmtDtls(AmountAndCurrencyExchange3 value)`
Sets the value of the amtDtls property.
`void`
`setBkTxCd(BankTransactionCodeStructure4 value)`
Sets the value of the bkTxCd property.
`void`
`setCardTx(CardTransaction16 value)`
Sets the value of the cardTx property.
`void`
`setCdtDbtInd(CreditDebitCode value)`
Sets the value of the cdtDbtInd property.
`void`
`setChrgs(Charges4 value)`
Sets the value of the chrgs property.
`void`
`setCorpActn(CorporateAction9 value)`
Sets the value of the corpActn property.
`void`
`setFinInstrmId(SecurityIdentification19 value)`
Sets the value of the finInstrmId property.
`void`
`setIntrst(TransactionInterest4 value)`
Sets the value of the intrst property.
`void`
`setLclInstrm(LocalInstrument2Choice value)`
Sets the value of the lclInstrm property.
`void`
`setPurp(Purpose2Choice value)`
Sets the value of the purp property.
`void`
`setRefs(TransactionReferences3 value)`
Sets the value of the refs property.
`void`
`setRltdAgts(TransactionAgents4 value)`
Sets the value of the rltdAgts property.
`void`
`setRltdDts(TransactionDates3 value)`
Sets the value of the rltdDts property.
`void`
`setRltdPric(TransactionPrice4Choice value)`
Sets the value of the rltdPric property.
`void`
`setRltdPties(TransactionParties4 value)`
Sets the value of the rltdPties property.
`void`
`setRmtInf(RemittanceInformation15 value)`
Sets the value of the rmtInf property.
`void`
`setRtrInf(PaymentReturnReason3 value)`
Sets the value of the rtrInf property.
`void`
`setSfkpgAcct(SecuritiesAccount19 value)`
Sets the value of the sfkpgAcct property.
`void`
`setTax(TaxInformation6 value)`
Sets the value of the tax property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### refs

protected TransactionReferences3 refs

### amt

protected ActiveOrHistoricCurrencyAndAmount amt

### cdtDbtInd

protected CreditDebitCode cdtDbtInd

### amtDtls

protected AmountAndCurrencyExchange3 amtDtls

### avlbty

protected List<CashAvailability1> avlbty

### bkTxCd

protected BankTransactionCodeStructure4 bkTxCd

### chrgs

protected Charges4 chrgs

### intrst

protected TransactionInterest4 intrst

### rltdPties

protected TransactionParties4 rltdPties

### rltdAgts

protected TransactionAgents4 rltdAgts

### lclInstrm

protected LocalInstrument2Choice lclInstrm

### purp

protected Purpose2Choice purp

### rltdRmtInf

protected List<RemittanceLocation4> rltdRmtInf

### rmtInf

protected RemittanceInformation15 rmtInf

### rltdDts

protected TransactionDates3 rltdDts

### rltdPric

protected TransactionPrice4Choice rltdPric

### rltdQties

protected List<TransactionQuantities2Choice> rltdQties

### finInstrmId

protected SecurityIdentification19 finInstrmId

### tax

protected TaxInformation6 tax

### rtrInf

protected PaymentReturnReason3 rtrInf

### corpActn

protected CorporateAction9 corpActn

### sfkpgAcct

protected SecuritiesAccount19 sfkpgAcct

### cshDpst

protected List<CashDeposit1> cshDpst

### cardTx

protected CardTransaction16 cardTx

### addtlTxInf

protected String addtlTxInf

### splmtryData

protected List<SupplementaryData1> splmtryData

## Constructor Details

### EntryTransaction9

public EntryTransaction9()

## Method Details

### getRefs

public TransactionReferences3 getRefs()
Gets the value of the refs property.

Returns:
  possible object is `TransactionReferences3`

### setRefs

public void setRefs(TransactionReferences3 value)
Sets the value of the refs property.

Parameters:
  `value` - allowed object is `TransactionReferences3`

### getAmt

public ActiveOrHistoricCurrencyAndAmount getAmt()
Gets the value of the amt property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAndAmount`

### setAmt

public void setAmt(ActiveOrHistoricCurrencyAndAmount value)
Sets the value of the amt property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAndAmount`

### getCdtDbtInd

public CreditDebitCode getCdtDbtInd()
Gets the value of the cdtDbtInd property.

Returns:
  possible object is `CreditDebitCode`

### setCdtDbtInd

public void setCdtDbtInd(CreditDebitCode value)
Sets the value of the cdtDbtInd property.

Parameters:
  `value` - allowed object is `CreditDebitCode`

### getAmtDtls

public AmountAndCurrencyExchange3 getAmtDtls()
Gets the value of the amtDtls property.

Returns:
  possible object is `AmountAndCurrencyExchange3`

### setAmtDtls

public void setAmtDtls(AmountAndCurrencyExchange3 value)
Sets the value of the amtDtls property.

Parameters:
  `value` - allowed object is `AmountAndCurrencyExchange3`

### getAvlbty

public List<CashAvailability1> getAvlbty()
Gets the value of the avlbty property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the avlbty property.

For example, to add a new item, do as follows:

        getAvlbty().add(newItem);

Objects of the following type(s) are allowed in the list `CashAvailability1`

### getBkTxCd

public BankTransactionCodeStructure4 getBkTxCd()
Gets the value of the bkTxCd property.

Returns:
  possible object is `BankTransactionCodeStructure4`

### setBkTxCd

public void setBkTxCd(BankTransactionCodeStructure4 value)
Sets the value of the bkTxCd property.

Parameters:
  `value` - allowed object is `BankTransactionCodeStructure4`

### getChrgs

public Charges4 getChrgs()
Gets the value of the chrgs property.

Returns:
  possible object is `Charges4`

### setChrgs

public void setChrgs(Charges4 value)
Sets the value of the chrgs property.

Parameters:
  `value` - allowed object is `Charges4`

### getIntrst

public TransactionInterest4 getIntrst()
Gets the value of the intrst property.

Returns:
  possible object is `TransactionInterest4`

### setIntrst

public void setIntrst(TransactionInterest4 value)
Sets the value of the intrst property.

Parameters:
  `value` - allowed object is `TransactionInterest4`

### getRltdPties

public TransactionParties4 getRltdPties()
Gets the value of the rltdPties property.

Returns:
  possible object is `TransactionParties4`

### setRltdPties

public void setRltdPties(TransactionParties4 value)
Sets the value of the rltdPties property.

Parameters:
  `value` - allowed object is `TransactionParties4`

### getRltdAgts

public TransactionAgents4 getRltdAgts()
Gets the value of the rltdAgts property.

Returns:
  possible object is `TransactionAgents4`

### setRltdAgts

public void setRltdAgts(TransactionAgents4 value)
Sets the value of the rltdAgts property.

Parameters:
  `value` - allowed object is `TransactionAgents4`

### getLclInstrm

public LocalInstrument2Choice getLclInstrm()
Gets the value of the lclInstrm property.

Returns:
  possible object is `LocalInstrument2Choice`

### setLclInstrm

public void setLclInstrm(LocalInstrument2Choice value)
Sets the value of the lclInstrm property.

Parameters:
  `value` - allowed object is `LocalInstrument2Choice`

### getPurp

public Purpose2Choice getPurp()
Gets the value of the purp property.

Returns:
  possible object is `Purpose2Choice`

### setPurp

public void setPurp(Purpose2Choice value)
Sets the value of the purp property.

Parameters:
  `value` - allowed object is `Purpose2Choice`

### getRltdRmtInf

public List<RemittanceLocation4> getRltdRmtInf()
Gets the value of the rltdRmtInf property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the rltdRmtInf property.

For example, to add a new item, do as follows:

        getRltdRmtInf().add(newItem);

Objects of the following type(s) are allowed in the list `RemittanceLocation4`

### getRmtInf

public RemittanceInformation15 getRmtInf()
Gets the value of the rmtInf property.

Returns:
  possible object is `RemittanceInformation15`

### setRmtInf

public void setRmtInf(RemittanceInformation15 value)
Sets the value of the rmtInf property.

Parameters:
  `value` - allowed object is `RemittanceInformation15`

### getRltdDts

public TransactionDates3 getRltdDts()
Gets the value of the rltdDts property.

Returns:
  possible object is `TransactionDates3`

### setRltdDts

public void setRltdDts(TransactionDates3 value)
Sets the value of the rltdDts property.

Parameters:
  `value` - allowed object is `TransactionDates3`

### getRltdPric

public TransactionPrice4Choice getRltdPric()
Gets the value of the rltdPric property.

Returns:
  possible object is `TransactionPrice4Choice`

### setRltdPric

public void setRltdPric(TransactionPrice4Choice value)
Sets the value of the rltdPric property.

Parameters:
  `value` - allowed object is `TransactionPrice4Choice`

### getRltdQties

public List<TransactionQuantities2Choice> getRltdQties()
Gets the value of the rltdQties property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the rltdQties property.

For example, to add a new item, do as follows:

        getRltdQties().add(newItem);

Objects of the following type(s) are allowed in the list `TransactionQuantities2Choice`

### getFinInstrmId

public SecurityIdentification19 getFinInstrmId()
Gets the value of the finInstrmId property.

Returns:
  possible object is `SecurityIdentification19`

### setFinInstrmId

public void setFinInstrmId(SecurityIdentification19 value)
Sets the value of the finInstrmId property.

Parameters:
  `value` - allowed object is `SecurityIdentification19`

### getTax

public TaxInformation6 getTax()
Gets the value of the tax property.

Returns:
  possible object is `TaxInformation6`

### setTax

public void setTax(TaxInformation6 value)
Sets the value of the tax property.

Parameters:
  `value` - allowed object is `TaxInformation6`

### getRtrInf

public PaymentReturnReason3 getRtrInf()
Gets the value of the rtrInf property.

Returns:
  possible object is `PaymentReturnReason3`

### setRtrInf

public void setRtrInf(PaymentReturnReason3 value)
Sets the value of the rtrInf property.

Parameters:
  `value` - allowed object is `PaymentReturnReason3`

### getCorpActn

public CorporateAction9 getCorpActn()
Gets the value of the corpActn property.

Returns:
  possible object is `CorporateAction9`

### setCorpActn

public void setCorpActn(CorporateAction9 value)
Sets the value of the corpActn property.

Parameters:
  `value` - allowed object is `CorporateAction9`

### getSfkpgAcct

public SecuritiesAccount19 getSfkpgAcct()
Gets the value of the sfkpgAcct property.

Returns:
  possible object is `SecuritiesAccount19`

### setSfkpgAcct

public void setSfkpgAcct(SecuritiesAccount19 value)
Sets the value of the sfkpgAcct property.

Parameters:
  `value` - allowed object is `SecuritiesAccount19`

### getCshDpst

public List<CashDeposit1> getCshDpst()
Gets the value of the cshDpst property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cshDpst property.

For example, to add a new item, do as follows:

        getCshDpst().add(newItem);

Objects of the following type(s) are allowed in the list `CashDeposit1`

### getCardTx

public CardTransaction16 getCardTx()
Gets the value of the cardTx property.

Returns:
  possible object is `CardTransaction16`

### setCardTx

public void setCardTx(CardTransaction16 value)
Sets the value of the cardTx property.

Parameters:
  `value` - allowed object is `CardTransaction16`

### getAddtlTxInf

public String getAddtlTxInf()
Gets the value of the addtlTxInf property.

Returns:
  possible object is `String`

### setAddtlTxInf

public void setAddtlTxInf(String value)
Sets the value of the addtlTxInf property.

Parameters:
  `value` - allowed object is `String`

### getSplmtryData

public List<SupplementaryData1> getSplmtryData()
Gets the value of the splmtryData property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the splmtryData property.

For example, to add a new item, do as follows:

        getSplmtryData().add(newItem);

Objects of the following type(s) are allowed in the list `SupplementaryData1`